質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.22%

古いバージョンのXcodeで最新のiPhoneSDKでビルドしたアプリでリリースすることは可能ですか?

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 3,202

yoppy0066

score 299

何らかの理由でXcodeのバージョンをあげることができないプロジェクトがある場合、古いバージョンのXcodeのままアプリをリリースし続けることは可能でしょうか?また、そのような運用をされている方はいらっしゃいますでしょうか?

上記のような状態でアプリの動作確認、AppStoreConnectへのアップロードまでは完了したのですが審査時に以下の理由でリジェクトとなります。

Invalid Toolchain - Your app was built with a beta version of Xcode or SDK. Apps submitted to the App Store must be built with the GM version of Xcode 9 and the SDK for iOS 11, tvOS 11, watchOS 4, or macOS 10.13 or later.

AppsStoreConnectのアクティビティよりアップロードしたiOSビルドの情報を見ると

今までは、SDKのビルドとプラットフォームのビルドが同じ

SDKのビルド : 16A366
プラットフォームのビルド : 16A366

現状、SDKのビルドとプラットフォームのビルドが異なる

SDKのビルド : 16B91
プラットフォームのビルド : 10A255

うまくいかないパターンのビルドを調べるとXcodeのビルド番号が表示されているようで、この辺りの回避策とこちらの原因をご存知の方いましたらご教授お願いできないでしょうか

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

Your app was built with a beta version of Xcode or SDK. 
と書かれていますので、Xcodeのベータ版を使って審査依頼してリジェクトされているのではないでしょうか?

https://developer.apple.com/jp/support/beta-software/
の「Appの提出」に

App Storeでは、ベータ版Xcodeを使用して作成されたAppやベータ版OS向けに開発されたAppは受け付けていません。

と書かれている通り、ベータ版のXcodeでビルドしたアプリを審査依頼することはできません。

また、
https://developer.apple.com/jp/app-store/submissions/

2019年3月27日以降、 App Storeに提出されるすべてのiOS Appは、iOS 12.1以降のSDKでビルドされ、iPhone XS Maxまたは12.9インチiPad Pro(第3世代)のオールスクリーンのデザインをサポートする必要があります。

と書かれている通り、3月27日以降はiOS-SDK12.1以降(Xcode10.1以降)でビルドしたものでないと審査依頼できません。

SDKのビルド : 16B91は、iOS-SDK12.1を意味していますが、
プラットフォームのビルド : 10A255は、Xcode10.0を意味しており、
Xcode10.0にiOS-SDK12.1を無理やり入れてビルドしたか、
Xcode10.1のベータ版を使ってビルドしたもののように見えます。

最新のXcode10.2(iOS-SDK12.2)を使う必要はありませんが、Xcode10.1(iOS-SDK12.2)の正式リリース版を使ってビルドしたもので審査依頼すればいいのではないでしょうか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/04/09 10:07

    ご回答ありがとうございます。
    おっしゃる通り、xcode10.0にSDK12.1を入れてビルドしたものになります。
    プロジェクトの都合でxcode10.1でビルドできないためこのような処置をしたのですがこれはできないものなのでしょうか?
    うる覚えですが以前、ずっと古いxcodeを使っているプロジェクトがあった記憶がありそういう運用をしてる方もいるのではと思い質問させていただきました。

    キャンセル

  • 2019/04/09 23:55 編集

    意図的にそうしているのであれば、それでAppleの審査を受け付けてもらえるのか、きちんとAppleに確認した方がよいと思います。
    Appleの説明では、iOS-SDKのバージョンを指定しているだけでXcodeのバージョンは指定していませんが、無理やり別バージョンのiOS-SDKを入れてビルドしたものは、改造したXcodeを使ってビルドした物件と扱われてしまうのかもしれません。
    昔は、XcodeのバージョンやiOS-SDKのバージョンの指定はなく、古いXcodeでビルドしたものでも審査を受け付けていましたが、最近はそのあたりの審査受付条件が厳しくなってきている気がします。

    キャンセル

  • 2019/04/10 17:17

    ありがとうございます。とりあえずXcode10.1に頑張ってあげようと思います!

    キャンセル

0

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.22%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • トップ
  • iOSに関する質問
  • 古いバージョンのXcodeで最新のiPhoneSDKでビルドしたアプリでリリースすることは可能ですか?